"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOptions = void 0;
const path_1 = require("path");
const typescript_1 = require("typescript");
const argParse_1 = require("./argParse");
let options;
function getOptions(file) {
    if (file) {
        console.log('using file: %s', file);
        return parse(file);
    }
    if (!options) {
        console.log('using file: %s', argParse_1.CONFIG_FILE);
        options = parse(argParse_1.CONFIG_FILE);
    }
    return options;
}
exports.getOptions = getOptions;
function parse(file) {
    const myFormatDiagnosticsHost = {
        getCurrentDirectory: typescript_1.sys.getCurrentDirectory,
        getCanonicalFileName: path_1.normalize,
        getNewLine() {
            return typescript_1.sys.newLine;
        },
    };
    const myParseConfigFileHost = {
        onUnRecoverableConfigFileDiagnostic(diagnostic) {
            console.error(typescript_1.formatDiagnostic(diagnostic, myFormatDiagnosticsHost));
        },
        useCaseSensitiveFileNames: true,
        readDirectory: typescript_1.sys.readDirectory,
        fileExists: typescript_1.sys.fileExists,
        readFile: typescript_1.sys.readFile,
        getCurrentDirectory: typescript_1.sys.getCurrentDirectory,
    };
    const ret = typescript_1.getParsedCommandLineOfConfigFile(file, {}, myParseConfigFileHost);
    if (!ret) {
        throw new Error('Cannot parse content of file "' + file + '"');
    }
    return ret;
}
//# sourceMappingURL=configFile.js.map